#!/usr/bin/env ruby

$: << File.dirname(__FILE__)
$oj_dir = File.dirname(File.expand_path(File.dirname(__FILE__)))
%w(lib ext).each do |dir|
  $: << File.join($oj_dir, dir)
end

require 'oj'

Oj.default_options = {cache_keys: false, cache_str: 0}

[:compat, :strict, :object].each { |mode|
  GC.start
  t = Time.now
  Oj.load_file('pt_lemma_lookup.json', mode: mode)
  puts "#{mode}: #{Time.now - t}"
}

# check saj and scp
